commit dbb8fa7d6275bb2a21d9a7803b3ab902a2e15301
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Dec 18 13:30:02 2025 +0000

    Utils; fix exim_dumpdb build for non- pipe-connect

diff --git a/src/src/exim_dbutil.c b/src/src/exim_dbutil.c
index f3842874f..3ef241a4e 100644
--- a/src/src/exim_dbutil.c
+++ b/src/src/exim_dbutil.c
@@ -763,6 +763,7 @@ for (uschar * key = dbfn_scan(dbm, TRUE, &cursor);
 	else
 	  {
 	  uschar * s = keybuffer + Ustrlen(keybuffer) - 5;
+#ifndef DISABLE_PIPE_CONNECT
 	  if (s > keybuffer && Ustrcmp(s, ".EHLO") == 0)
 	    {
 	    ehlo_resp_precis * erp = &((dbdata_ehlo_resp *)recp)->data;
@@ -778,6 +779,7 @@ for (uschar * key = dbfn_scan(dbm, TRUE, &cursor);
 	    putchar('\n');
 	    }
 	  else
+#endif
 	    printf("%s\n", string_sprintf("%.*q\n", dlen, dp));
 	  }
 	break;
@@ -847,7 +849,7 @@ for (uschar * key = dbfn_scan(dbm, TRUE, &cursor);
 	break;
 
       case type_dbm:
-	printf("%s\t%.*s\n", keybuffer, length, value);
+	printf("%s\t%.*s\n", keybuffer, length, CS value);
       }
   store_reset(reset_point);
   }

